Bug 478097 - Support the usage of expression in the join relationship
Support the usage of expression in the join relationship
Status: NEW
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Jim Whitehurst
Ben Levenson
:
Depends On:
Blocks: 480246
  Show dependency treegraph
 
Reported: 2008-12-27 02:58 EST by Chandrasekar Kannan
Modified: 2016-01-28 16:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:58:58 EST
Current limitation: Penrose only allows joining one field from one source to another field in another source. 

Ability to use of expression in the join relationship is important for Identity Correlation. 

=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '4',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-108',
          'assignee' => 'endisd',
          'summary' => 'Support the usage of expression in the join relationship',
          'id' => '10305',
          'updated' => '2008-03-21 10:45:33.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2008-09-18 00:00:00.0',
                             'sequence' => '31',
                             'name' => 'Penrose-2.1',
                             'released' => 'false',
                             'id' => '10130',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2005-10-17 00:00:00.0',
                                 'sequence' => '7',
                                 'name' => 'Penrose-0.9.7',
                                 'released' => 'true',
                                 'id' => '10033',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'Current limitation: Penrose only allows joining one field from one source to another field in another source. 

Ability to use of expression in the join relationship is important for Identity Correlation. ',
          'created' => '2005-10-27 20:24:54.0',
          'type' => '4'
        };


=========================================================
Comment 1 Endi Sukma Dewata 2009-02-04 18:06:12 EST
This is outside the scope of RHVD 2.0.

Note You need to log in before you can comment on or make changes to this bug.